component: SafetyPcp
metric: zoox::diag::EmptyMetric
namespace: zoox::perception
faults:
  # Deprecated.
  - id: 0
    name: ESTOP_TRIGGERED
    severity: WARNING
    description: "Emergency stop triggered."
    deprecated: true
  - id: 1
    name: LidarStale
    severity: WARNING
    description: "Lidar data is stale."
  - id: 2
    name: HeroStateStale
    severity: WARNING
    description: "Hero State is stale."
  - id: 3
    name: AutonomousHeroOut
    severity: WARNING
    description: "Hero is in autonomous mode and is not within a fixed corridor width with regards to its pose and planned trajectory. Consider re-centering hero within the planned trajectory and corridor and/or examine hero's pose system for errors."
  # Deprecated.
  - id: 4
    name: NonAutonomousHeroOut
    severity: WARNING
    description: "Hero not in autonomous && hero not on traj"
    deprecated: true
  - id: 5
    name: RadarStale
    severity: WARNING
    description: "Radar data is stale, the latest radar message time is smaller than clock.now() over threshold."
  - id: 6
    name: UnknownSteeringMode
    severity: WARNING
    description: "Planner steering mode is unknown, defaulting to 2WS mode."
